{
    "fields": [
        {
            "name": "geneName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "drugName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "source",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "studyType",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "type",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "interactionType",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "chemblId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "publications",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        }
    ],
    "name": "GeneDrugInteraction",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}